Skip to main content
GET
Get task

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

task_id
string
required

Task ID

Response

200 - application/json

OK

created_on
string | null
required

Created timestamp

Example:

"2019-06-25T08:42:42Z"

id
string
required

The task ID

Example:

"26986bc0-748a-4448-b836-0a2aa465eb06"

state
enum<string>
required

The task state

Available options:
ERROR,
FINISHED,
NEW,
RUNNING
Example:

"RUNNING"

task_type
string
required

The task type

Example:

"create_vm"

user_id
integer
required

The user ID that initiated the task

Example:

123

acknowledged_at
string | null

If task was acknowledged, this field stores acknowledge timestamp

acknowledged_by
integer | null

If task was acknowledged, this field stores user_id of the person

Example:

123

client_id
integer | null

The client ID

Example:

123

created_resources
CreatedResources · object | null

If the task creates resources, this field will contain their IDs

data
any

Task parameters

Example:
detailed_state
enum<string> | null

Task detailed state that is more specific to task type

Available options:
CLUSTER_CLEAN_UP,
CLUSTER_REBUILD,
CLUSTER_RESIZE,
CLUSTER_RESUME,
CLUSTER_SERVER_REBUILD,
CLUSTER_SUSPEND,
ERROR,
FINISHED,
IPU_SERVERS,
NETWORK,
POPLAR_SERVERS,
POST_DEPLOY_SETUP,
VIPU_CONTROLLER
error
string | null

The error value

finished_on
string | null

Finished timestamp

job_id
string | null

Job ID

lifecycle_policy_id
integer | null

Lifecycle policy ID

project_id
integer | null

The project ID

Example:

123

region_id
integer | null

The region ID

Example:

123

request_id
string | null

The request ID

schedule_id
string | null

Schedule ID

updated_on
string | null

Last updated timestamp

user_client_id
integer | null

Client, specified in user's JWT

Example:

123